package dp.kotul.bamboospecsapplication.configuration;

import java.util.ArrayList;
import java.util.List;

public class JobConfiguration {
    private String name = "Build and Compile";
    private String key = "JOB1";

    private List<BuildTaskConfiguration> tasks = new ArrayList<>();
    private List<ArtifactConfiguration> artifacts = new ArrayList<>();

    public JobConfiguration(String name, String key, List<BuildTaskConfiguration> tasks, List<ArtifactConfiguration> artifacts) {
        this.name = name;
        this.key = key;
        this.tasks = tasks;
        this.artifacts = artifacts;
    }

    public JobConfiguration() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public List<BuildTaskConfiguration> getTasks() {
        return tasks;
    }

    public void setTasks(List<BuildTaskConfiguration> tasks) {
        this.tasks = tasks;
    }

    public List<ArtifactConfiguration> getArtifacts() {
        return artifacts;
    }

    public void setArtifacts(List<ArtifactConfiguration> artifacts) {
        this.artifacts = artifacts;
    }
}
